> For the complete documentation index, see [llms.txt](https://docs.bbchain.com.br/bbchain-ebs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bbchain.com.br/bbchain-ebs/bbchain-ebs-pt/para-desenvolvedores/api-reference/network-management/network/network-status-api-controller.md).

# Network Status Api Controller

## Gets the status of a network.

> It will retrieve the last X entries for the log.

```json
{"openapi":"3.1.0","info":{"title":"EBS Network API","version":"0.1.0"},"servers":[{"url":"https://netw-p-bk-api.saas.ebs.bbchain.network","description":"Generated server url"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"NetworkStatus":{"type":"object","properties":{"creation":{"$ref":"#/components/schemas/NetworkCreationStatus"},"currentStatus":{"type":"string","enum":["STARTING","RUNNING","CREATING","STOPPING","STOPPED","PENDING_UPDATE","DELETING","ERROR","PURGING","RESTARTING"]}}},"NetworkCreationStatus":{"type":"object","properties":{"stageDetail":{"$ref":"#/components/schemas/NetworkCreationStatusStageDetail"}}},"NetworkCreationStatusStageDetail":{"type":"object","properties":{"currentStage":{"type":"string","enum":["NETWORK.DOMAIN","NETWORK.NAMESPACE","NETWORK.CENM.AUTH","NETWORK.CENM.ZONE","NETWORK.CENM.IDMAN","NETWORK.CENM.GATEWAY","NETWORK.CENM.SIGNER","NETWORK.CENM.NETMAP","NETWORK.CORDA.NOTARY","NETWORK.CORDA.NODE","DONE"]},"orderedStages":{"type":"array","items":{"$ref":"#/components/schemas/NetworkCreationStatusStageDetailOrderedStagesInner"}},"completedStages":{"type":"array","items":{"type":"string","enum":["NETWORK.DOMAIN","NETWORK.NAMESPACE","NETWORK.CENM.AUTH","NETWORK.CENM.ZONE","NETWORK.CENM.IDMAN","NETWORK.CENM.GATEWAY","NETWORK.CENM.SIGNER","NETWORK.CENM.NETMAP","NETWORK.CORDA.NOTARY","NETWORK.CORDA.NODE","DONE"]}},"log":{"type":"array","items":{"$ref":"#/components/schemas/NetworkCreationLog"}}}},"NetworkCreationStatusStageDetailOrderedStagesInner":{"type":"object","properties":{"index":{"type":"integer","format":"int32"},"value":{"type":"string","enum":["NETWORK.DOMAIN","NETWORK.NAMESPACE","NETWORK.CENM.AUTH","NETWORK.CENM.ZONE","NETWORK.CENM.IDMAN","NETWORK.CENM.GATEWAY","NETWORK.CENM.SIGNER","NETWORK.CENM.NETMAP","NETWORK.CORDA.NOTARY","NETWORK.CORDA.NODE","DONE"]}}},"NetworkCreationLog":{"type":"object","properties":{"stage":{"type":"string","enum":["NETWORK.DOMAIN","NETWORK.NAMESPACE","NETWORK.CENM.AUTH","NETWORK.CENM.ZONE","NETWORK.CENM.IDMAN","NETWORK.CENM.GATEWAY","NETWORK.CENM.SIGNER","NETWORK.CENM.NETMAP","NETWORK.CORDA.NOTARY","NETWORK.CORDA.NODE","DONE"]},"start":{"type":"string","format":"date"},"finish":{"type":"string","format":"date"},"result":{"type":"string","enum":["COMPLETED","WORKING","ERROR"]}}},"Error":{"type":"object","properties":{"message":{"type":"string","description":"Error status summary for the executed command."},"code":{"type":"string","description":"# `network.{field}.invalid` field is non compliant # `auth.invalid` Invalid credentials sent to the server. # `auth.verifyEmail` User did not verified their email. # `auth.mustChangePassword` User must change password.         # `user.emailAlreadyUsed` Email already exists. # `auth.forbidden` Forbidden access # `internal.unexpected` Unexpected error from server ","enum":["auth.invalid","auth.verifyEmail","auth.unauthorized","auth.forbidden","auth.expired","auth.blocked","auth.emailDomainBlocked","auth.mustChangePassword","auth.invalidPhoneVerificationCode","auth.passwordNotValid","auth.unableToUpdatePassword","user.notFound","user.created","user.notCreated","user.emailAlreadyExists","userHasRoleInClient","notaryNotFound","notaryPublishDateTooEarly","notaryOrganizationNameConflict","notaryIsCreating","network.notFound","network.alias.invalid","network.name.invalid","network.domain.invalid","network.organizationLegalName.invalid","network.city.invalid","network.country.invalid","network.nodeDomain.invalid","network.tenant.invalid","networkUserDoesNotHavePermissionOnNode","networkUserDoesNotHaveOperatorPermissionOnNode","networkUserDoesNotHavePermissionOnNotary","networkUserDoesNotHaveOperatorPermissionOnNotary","node.notFound","nodeOrganizationNameConflict","cordappVersionShouldBeDisabled","cordappShouldNotHaveVersions","shouldWaitPendingFlagday","internal.unexpected","field.required","field.invalid","field.size","field.pattern","illegalStatus","badRequest","timeConstraint","reachedMaxNetworks","reachedSubscriptionLimit","userReachedSubscriptionLimit","subscriptionTenantNotFoundBecauseNetworkNotFound","subscriptionNodeNameConflict","featureDisabled","adminActionNotFound","adminActionExists","adminActionNotCreated","adminActionDuplicated","adminCloudProviderNotFound","adminCloudProviderExists","adminCloudProviderNotCreated","adminProtocolNotFound","adminProtocolExists","adminProtocolNotCreated","adminPipelineServiceNotFound","adminPipelineServiceExists","adminPipelineServiceNotCreated","adminTenantNotFound","adminTenantExists","adminTenantNotCreated","adminPipelineNotFound","adminPipelineExists","adminPipelineNotCreated","adminComponentNotFound","adminComponentExists","adminComponentNotCreated","adminTenantSettingsNotFound","adminTenantSettingsExists","adminTenantSettingsNotCreated","adminTenantProtocolNotFound","adminTenantProtocolExists","adminTenantProtocolNotCreated","adminFeatureToggleNotFound","adminFeatureToggleExists","adminUserNotFound","adminNetworkNotFound","adminNetworkExists","adminNodeNotFound","adminNodeExists","adminNotaryNotFound","adminNotaryExists","adminPipelineActionDuplicated","adminAppNotFound","adminAppVersionNotFound","adminAppInstallationNotFound","adminComponentTypeNotFound","adminComponentTypeExists","adminBaseDltNotFound","adminBaseDltExists","adminBaseDltNotCreated","adminIdentityProviderNotFound","adminIdentityProviderExists","adminIdentityProviderNotCreated","adminNodeFeatureNotFound","adminNodeFeatureExists","adminNodeFeatureNotCreated","adminSpecializedModuleNotFound","adminSpecializedModuleExists"]}}}}},"paths":{"/v1/networks/{network-id}/status":{"get":{"tags":["network-status-api-controller"],"summary":"Gets the status of a network.","description":"It will retrieve the last X entries for the log.","operationId":"getNetworkStatus","parameters":[{"name":"network-id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"Successfull Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NetworkStatus"}}}},"401":{"description":"User is not authenticated.","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Error"}}}}},"403":{"description":"User is authenticated but not allowed.","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Error"}}}}},"404":{"description":"Resource does not exists.","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Error"}}}}},"500":{"description":"The message code is an encoded string that must be sent to the support team as a ticket.","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Error"}}}}}}}}}}
```

## Get only the creation status of a network.

> It will retrieve the last X entries for the log.

```json
{"openapi":"3.1.0","info":{"title":"EBS Network API","version":"0.1.0"},"servers":[{"url":"https://netw-p-bk-api.saas.ebs.bbchain.network","description":"Generated server url"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"NetworkCreationStatus":{"type":"object","properties":{"stageDetail":{"$ref":"#/components/schemas/NetworkCreationStatusStageDetail"}}},"NetworkCreationStatusStageDetail":{"type":"object","properties":{"currentStage":{"type":"string","enum":["NETWORK.DOMAIN","NETWORK.NAMESPACE","NETWORK.CENM.AUTH","NETWORK.CENM.ZONE","NETWORK.CENM.IDMAN","NETWORK.CENM.GATEWAY","NETWORK.CENM.SIGNER","NETWORK.CENM.NETMAP","NETWORK.CORDA.NOTARY","NETWORK.CORDA.NODE","DONE"]},"orderedStages":{"type":"array","items":{"$ref":"#/components/schemas/NetworkCreationStatusStageDetailOrderedStagesInner"}},"completedStages":{"type":"array","items":{"type":"string","enum":["NETWORK.DOMAIN","NETWORK.NAMESPACE","NETWORK.CENM.AUTH","NETWORK.CENM.ZONE","NETWORK.CENM.IDMAN","NETWORK.CENM.GATEWAY","NETWORK.CENM.SIGNER","NETWORK.CENM.NETMAP","NETWORK.CORDA.NOTARY","NETWORK.CORDA.NODE","DONE"]}},"log":{"type":"array","items":{"$ref":"#/components/schemas/NetworkCreationLog"}}}},"NetworkCreationStatusStageDetailOrderedStagesInner":{"type":"object","properties":{"index":{"type":"integer","format":"int32"},"value":{"type":"string","enum":["NETWORK.DOMAIN","NETWORK.NAMESPACE","NETWORK.CENM.AUTH","NETWORK.CENM.ZONE","NETWORK.CENM.IDMAN","NETWORK.CENM.GATEWAY","NETWORK.CENM.SIGNER","NETWORK.CENM.NETMAP","NETWORK.CORDA.NOTARY","NETWORK.CORDA.NODE","DONE"]}}},"NetworkCreationLog":{"type":"object","properties":{"stage":{"type":"string","enum":["NETWORK.DOMAIN","NETWORK.NAMESPACE","NETWORK.CENM.AUTH","NETWORK.CENM.ZONE","NETWORK.CENM.IDMAN","NETWORK.CENM.GATEWAY","NETWORK.CENM.SIGNER","NETWORK.CENM.NETMAP","NETWORK.CORDA.NOTARY","NETWORK.CORDA.NODE","DONE"]},"start":{"type":"string","format":"date"},"finish":{"type":"string","format":"date"},"result":{"type":"string","enum":["COMPLETED","WORKING","ERROR"]}}},"Error":{"type":"object","properties":{"message":{"type":"string","description":"Error status summary for the executed command."},"code":{"type":"string","description":"# `network.{field}.invalid` field is non compliant # `auth.invalid` Invalid credentials sent to the server. # `auth.verifyEmail` User did not verified their email. # `auth.mustChangePassword` User must change password.         # `user.emailAlreadyUsed` Email already exists. # `auth.forbidden` Forbidden access # `internal.unexpected` Unexpected error from server ","enum":["auth.invalid","auth.verifyEmail","auth.unauthorized","auth.forbidden","auth.expired","auth.blocked","auth.emailDomainBlocked","auth.mustChangePassword","auth.invalidPhoneVerificationCode","auth.passwordNotValid","auth.unableToUpdatePassword","user.notFound","user.created","user.notCreated","user.emailAlreadyExists","userHasRoleInClient","notaryNotFound","notaryPublishDateTooEarly","notaryOrganizationNameConflict","notaryIsCreating","network.notFound","network.alias.invalid","network.name.invalid","network.domain.invalid","network.organizationLegalName.invalid","network.city.invalid","network.country.invalid","network.nodeDomain.invalid","network.tenant.invalid","networkUserDoesNotHavePermissionOnNode","networkUserDoesNotHaveOperatorPermissionOnNode","networkUserDoesNotHavePermissionOnNotary","networkUserDoesNotHaveOperatorPermissionOnNotary","node.notFound","nodeOrganizationNameConflict","cordappVersionShouldBeDisabled","cordappShouldNotHaveVersions","shouldWaitPendingFlagday","internal.unexpected","field.required","field.invalid","field.size","field.pattern","illegalStatus","badRequest","timeConstraint","reachedMaxNetworks","reachedSubscriptionLimit","userReachedSubscriptionLimit","subscriptionTenantNotFoundBecauseNetworkNotFound","subscriptionNodeNameConflict","featureDisabled","adminActionNotFound","adminActionExists","adminActionNotCreated","adminActionDuplicated","adminCloudProviderNotFound","adminCloudProviderExists","adminCloudProviderNotCreated","adminProtocolNotFound","adminProtocolExists","adminProtocolNotCreated","adminPipelineServiceNotFound","adminPipelineServiceExists","adminPipelineServiceNotCreated","adminTenantNotFound","adminTenantExists","adminTenantNotCreated","adminPipelineNotFound","adminPipelineExists","adminPipelineNotCreated","adminComponentNotFound","adminComponentExists","adminComponentNotCreated","adminTenantSettingsNotFound","adminTenantSettingsExists","adminTenantSettingsNotCreated","adminTenantProtocolNotFound","adminTenantProtocolExists","adminTenantProtocolNotCreated","adminFeatureToggleNotFound","adminFeatureToggleExists","adminUserNotFound","adminNetworkNotFound","adminNetworkExists","adminNodeNotFound","adminNodeExists","adminNotaryNotFound","adminNotaryExists","adminPipelineActionDuplicated","adminAppNotFound","adminAppVersionNotFound","adminAppInstallationNotFound","adminComponentTypeNotFound","adminComponentTypeExists","adminBaseDltNotFound","adminBaseDltExists","adminBaseDltNotCreated","adminIdentityProviderNotFound","adminIdentityProviderExists","adminIdentityProviderNotCreated","adminNodeFeatureNotFound","adminNodeFeatureExists","adminNodeFeatureNotCreated","adminSpecializedModuleNotFound","adminSpecializedModuleExists"]}}}}},"paths":{"/v1/networks/{network-id}/status/creation":{"get":{"tags":["network-status-api-controller"],"summary":"Get only the creation status of a network.","description":"It will retrieve the last X entries for the log.","operationId":"getNetworkStatusCreation","parameters":[{"name":"network-id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"Successfull Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NetworkCreationStatus"}}}},"401":{"description":"User is not authenticated.","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Error"}}}}},"403":{"description":"User is authenticated but not allowed.","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Error"}}}}},"404":{"description":"Resource does not exists.","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Error"}}}}},"500":{"description":"The message code is an encoded string that must be sent to the support team as a ticket.","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Error"}}}}}}}}}}
```

## GET /v1/networks/{network-id}/status/creation/log

> Get the detailed logs of the network creation

```json
{"openapi":"3.1.0","info":{"title":"EBS Network API","version":"0.1.0"},"servers":[{"url":"https://netw-p-bk-api.saas.ebs.bbchain.network","description":"Generated server url"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"NetworkCreationLogPage":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/NetworkCreationLog"}},"metadata":{"$ref":"#/components/schemas/PageMetadata"}}},"NetworkCreationLog":{"type":"object","properties":{"stage":{"type":"string","enum":["NETWORK.DOMAIN","NETWORK.NAMESPACE","NETWORK.CENM.AUTH","NETWORK.CENM.ZONE","NETWORK.CENM.IDMAN","NETWORK.CENM.GATEWAY","NETWORK.CENM.SIGNER","NETWORK.CENM.NETMAP","NETWORK.CORDA.NOTARY","NETWORK.CORDA.NODE","DONE"]},"start":{"type":"string","format":"date"},"finish":{"type":"string","format":"date"},"result":{"type":"string","enum":["COMPLETED","WORKING","ERROR"]}}},"PageMetadata":{"type":"object","properties":{"page":{"type":"integer","format":"int32"},"pageSize":{"type":"integer","format":"int32"},"totalItems":{"type":"integer","format":"int32"},"totalPages":{"type":"integer","format":"int32"}}},"Error":{"type":"object","properties":{"message":{"type":"string","description":"Error status summary for the executed command."},"code":{"type":"string","description":"# `network.{field}.invalid` field is non compliant # `auth.invalid` Invalid credentials sent to the server. # `auth.verifyEmail` User did not verified their email. # `auth.mustChangePassword` User must change password.         # `user.emailAlreadyUsed` Email already exists. # `auth.forbidden` Forbidden access # `internal.unexpected` Unexpected error from server ","enum":["auth.invalid","auth.verifyEmail","auth.unauthorized","auth.forbidden","auth.expired","auth.blocked","auth.emailDomainBlocked","auth.mustChangePassword","auth.invalidPhoneVerificationCode","auth.passwordNotValid","auth.unableToUpdatePassword","user.notFound","user.created","user.notCreated","user.emailAlreadyExists","userHasRoleInClient","notaryNotFound","notaryPublishDateTooEarly","notaryOrganizationNameConflict","notaryIsCreating","network.notFound","network.alias.invalid","network.name.invalid","network.domain.invalid","network.organizationLegalName.invalid","network.city.invalid","network.country.invalid","network.nodeDomain.invalid","network.tenant.invalid","networkUserDoesNotHavePermissionOnNode","networkUserDoesNotHaveOperatorPermissionOnNode","networkUserDoesNotHavePermissionOnNotary","networkUserDoesNotHaveOperatorPermissionOnNotary","node.notFound","nodeOrganizationNameConflict","cordappVersionShouldBeDisabled","cordappShouldNotHaveVersions","shouldWaitPendingFlagday","internal.unexpected","field.required","field.invalid","field.size","field.pattern","illegalStatus","badRequest","timeConstraint","reachedMaxNetworks","reachedSubscriptionLimit","userReachedSubscriptionLimit","subscriptionTenantNotFoundBecauseNetworkNotFound","subscriptionNodeNameConflict","featureDisabled","adminActionNotFound","adminActionExists","adminActionNotCreated","adminActionDuplicated","adminCloudProviderNotFound","adminCloudProviderExists","adminCloudProviderNotCreated","adminProtocolNotFound","adminProtocolExists","adminProtocolNotCreated","adminPipelineServiceNotFound","adminPipelineServiceExists","adminPipelineServiceNotCreated","adminTenantNotFound","adminTenantExists","adminTenantNotCreated","adminPipelineNotFound","adminPipelineExists","adminPipelineNotCreated","adminComponentNotFound","adminComponentExists","adminComponentNotCreated","adminTenantSettingsNotFound","adminTenantSettingsExists","adminTenantSettingsNotCreated","adminTenantProtocolNotFound","adminTenantProtocolExists","adminTenantProtocolNotCreated","adminFeatureToggleNotFound","adminFeatureToggleExists","adminUserNotFound","adminNetworkNotFound","adminNetworkExists","adminNodeNotFound","adminNodeExists","adminNotaryNotFound","adminNotaryExists","adminPipelineActionDuplicated","adminAppNotFound","adminAppVersionNotFound","adminAppInstallationNotFound","adminComponentTypeNotFound","adminComponentTypeExists","adminBaseDltNotFound","adminBaseDltExists","adminBaseDltNotCreated","adminIdentityProviderNotFound","adminIdentityProviderExists","adminIdentityProviderNotCreated","adminNodeFeatureNotFound","adminNodeFeatureExists","adminNodeFeatureNotCreated","adminSpecializedModuleNotFound","adminSpecializedModuleExists"]}}}}},"paths":{"/v1/networks/{network-id}/status/creation/log":{"get":{"tags":["network-status-api-controller"],"summary":"Get the detailed logs of the network creation","operationId":"getNetworkStatusCreationLog","parameters":[{"name":"network-id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"from","in":"query","required":false,"schema":{"type":"string"}},{"name":"to","in":"query","required":false,"schema":{"type":"string"}},{"name":"orderBy","in":"query","required":false,"schema":{}},{"name":"order","in":"query","required":false,"schema":{"enum":["ASC","DESC"]}},{"name":"page","in":"query","required":false,"schema":{}},{"name":"pageSize","in":"query","required":false,"schema":{}}],"responses":{"200":{"description":"Successfull Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NetworkCreationLogPage"}}}},"401":{"description":"User is not authenticated.","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Error"}}}}},"403":{"description":"User is authenticated but not allowed.","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Error"}}}}},"404":{"description":"Resource does not exists.","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Error"}}}}},"500":{"description":"The message code is an encoded string that must be sent to the support team as a ticket.","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Error"}}}}}}}}}}
```
